Compiling on Ubuntu 19.04 no libmp4v2-dev

Fixxx your Mixxx

Moderator: garth

Compiling on Ubuntu 19.04 no libmp4v2-dev

Postby tycho9999 » Mon Jun 24, 2019 2:19 am

I'm trying to build Mixxx 2.2 on the latest Ubuntu Stable 19.04 for AAC Support,

Package libmp4v2-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libmp4v2-dev' has no installation candidate
tycho9999
 
Posts: 2
Joined: Mon Jun 24, 2019 1:51 am

Re: Compiling on Ubuntu 19.04 no libmp4v2-dev

Postby tycho9999 » Mon Jun 24, 2019 9:18 am

Don't worry I moved to manjaro and everything works. Maybe someone else needs this question
tycho9999
 
Posts: 2
Joined: Mon Jun 24, 2019 1:51 am

Re: Compiling on Ubuntu 19.04 no libmp4v2-dev

Postby didibwoy » Sun Sep 08, 2019 3:46 pm

I have the same problem.
I want to activate AAC / MP4 support, so I have to compile mixxx (with the option faad=1).
But the library libmp4v2-dev no longer exist, because it is deprecated ("mp4v2 is dead upstream and better alternatives exist.")
Is there a way to compile mixxx with AAC / MP4 support with another library ..?
Have you plan to use another library ?
didibwoy
 
Posts: 1
Joined: Sun Sep 08, 2019 3:34 pm

Re: Compiling on Ubuntu 19.04 no libmp4v2-dev

Postby tapir » Sun Sep 08, 2019 4:09 pm

tapir
Mixxx Developer
 
Posts: 329
Joined: Sat Aug 04, 2012 12:03 pm
Location: Stuttgart


Return to Troubleshooting & FAQ

Who is online

Users browsing this forum: No registered users and 5 guests